import 'package:flutter_test/flutter_test.dart';

import 'package:kisrs/kisrs.dart';

void main() {

  test('DataPoint', () async {
    final x = DataPoint<String>();
    expect(x.value, null);
    x.value = 'Hey!';
    expect(x.value, 'Hey!');
    final y =DataPoint.withValue(x.value);
    expect(y.value, x.value);
    final z =DataPoint.withValue(y.value, onChange: (o,n){
      return o+n;
    });
    z.value = 'a';
    expect(z.value, y.value+'a');
  });
}
